Subject: Re: linux-next: build failure after merge of the v4l-dvb tree

From: Mauro Carvalho Chehab <[email-masked]>
Date: Fri, 13 Mar 2020 08:05:14 +0100

Em Fri, 13 Mar 2020 07:48:07 +0100
Marco Felsch <[email-masked]> escreveu:

> Hi Stephen,
> 
> On 20-03-13 13:19, Stephen Rothwell wrote:
> > Hi all,
> > 
> > After merging the v4l-dvb tree, today's linux-next build (arm
> > multi_v7_defconfig) failed like this:
> > 
> > ERROR: modpost: "fwnode_get_name" [drivers/media/v4l2-core/v4l2-fwnode.ko] undefined!
> > 
> > Caused by commit
> > 
> >   dfc22c073b78 ("media: v4l2-fwnode: add initial connector parsing support")
> > 
> > I have used the v4l-dvb tree from next-20200312 for today.  
> 
> I'm sorry for that. I put my branch on our 0day to test most of the
> compile configs. Obviously this casae wasn't covered..
> 
> @Sakari
> I will send a patch to fix this by adding:
> EXPORT_SYMBOL_GPL(fwnode_get_name).

There is already such patch at next-20200312:

$ git show a7914d1072fb8ddeb2ec87bba1d28812483a3565
commit a7914d1072fb8ddeb2ec87bba1d28812483a3565
Author: Heikki Krogerus <[email-masked]>
Date:   Mon Mar 2 16:53:51 2020 +0300

    device property: Export fwnode_get_name()
    
    This makes it possible to take advantage of the function in
    the device drivers.
    
    Signed-off-by: Heikki Krogerus <[email-masked]>
    Acked-by: Rafael J. Wysocki <[email-masked]>
    Link: https://lore.kernel.org/r/[email-masked]
    Signed-off-by: Greg Kroah-Hartman <[email-masked]>

diff --git a/drivers/base/property.c b/drivers/base/property.c
index 511f6d7acdfe..5f35c0ccf5e0 100644
--- a/drivers/base/property.c
+++ b/drivers/base/property.c
@@ -566,6 +566,7 @@ const char *fwnode_get_name(const struct fwnode_handle *fwnode)
 {
        return fwnode_call_ptr_op(fwnode, get_name);
 }
+EXPORT_SYMBOL_GPL(fwnode_get_name);
 
 /**
  * fwnode_get_name_prefix - Return the prefix of node for printing purposes

Thanks,
Mauro